Data Sources
Get Structured Field Catalog
GET
apiKeyAuthheader
x-api-key<token>FastStats API key. Pass it in the x-api-key header or as a Bearer token in the Authorization header.
idOrSlug*stringStructuredFieldCatalog
application/json- response
fields*array<>curl -X GET 'https://api.faststats.dev/v0/projects/string/data-sources/structured-fields'Example Response
{ "fields": [ { "sourceReferenceId": "string", "path": [ "string" ], "dataType": "number", "observedTypes": [ "number" ], "observedCount": 0, "firstSeenAt": "string", "lastSeenAt": "string", "sampleValue": "string" } ]}curl -X GET 'https://api.faststats.dev/v0/projects/string/data-sources/structured-fields'{
"fields": [
{
"sourceReferenceId": "string",
"path": [
"string"
],
"dataType": "number",
"observedTypes": [
"number"
],
"observedCount": 0,
"firstSeenAt": "string",
"lastSeenAt": "string",
"sampleValue": "string"
}
]
}